#! /usr/bin/env node
"use strict";

var _chalk;

function _load_chalk() {
    return _chalk = require("chalk");
}

var _log;

function _load_log() {
    return _log = require("electron-builder-util/out/log");
}

var _promise;

function _load_promise() {
    return _promise = require("electron-builder-util/out/promise");
}

var _fsExtraP;

function _load_fsExtraP() {
    return _fsExtraP = require("fs-extra-p");
}

var _isCi;

function _load_isCi() {
    return _isCi = _interopRequireDefault(require("is-ci"));
}

var _path = _interopRequireWildcard(require("path"));

var _updateNotifier;

function _load_updateNotifier() {
    return _updateNotifier = _interopRequireDefault(require("update-notifier"));
}

var _yargs;

function _load_yargs() {
    return _yargs = _interopRequireDefault(require("yargs"));
}

var _builder;

function _load_builder() {
    return _builder = require("../builder");
}

var _createSelfSignedCert;

function _load_createSelfSignedCert() {
    return _createSelfSignedCert = require("./create-self-signed-cert");
}

var _installAppDeps;

function _load_installAppDeps() {
    return _installAppDeps = require("./install-app-deps");
}

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(_yargs || _load_yargs()).default.command(["build", "*"], "Build", (_builder || _load_builder()).configureBuildCommand, wrap((_builder || _load_builder()).build)).command("install-app-deps", "Install app deps", (_installAppDeps || _load_installAppDeps()).configureInstallAppDepsCommand, wrap((_installAppDeps || _load_installAppDeps()).installAppDeps)).command("create-self-signed-cert", "Create self-signed code signing cert for Windows apps", yargs => yargs.option("publisher", {
    alias: ["p"],
    type: "string",
    requiresArg: true,
    description: "The publisher name"
}).demandOption("publisher"), wrap(argv => (0, (_createSelfSignedCert || _load_createSelfSignedCert()).createSelfSignedCert)(argv.publisher))).help().epilog(`See the Wiki (${(0, (_chalk || _load_chalk()).underline)("https://github.com/electron-userland/electron-builder/wiki")}) for more documentation.`).strict().argv;
function wrap(task) {
    return args => {
        checkIsOutdated();
        task(args).catch((_promise || _load_promise()).printErrorAndExit);
    };
}
function checkIsOutdated() {
    if ((_isCi || _load_isCi()).default || process.env.NO_UPDATE_NOTIFIER != null) {
        return;
    }
    (0, (_fsExtraP || _load_fsExtraP()).readJson)(_path.join(__dirname, "..", "..", "package.json")).then(it => {
        if (it.version === "0.0.0-semantic-release") {
            return;
        }
        const notifier = (0, (_updateNotifier || _load_updateNotifier()).default)({ pkg: it });
        if (notifier.update != null) {
            notifier.notify({
                message: `Update available ${(0, (_chalk || _load_chalk()).dim)(notifier.update.current)}${(0, (_chalk || _load_chalk()).reset)(" → ")}${(0, (_chalk || _load_chalk()).green)(notifier.update.latest)} \nRun ${(0, (_chalk || _load_chalk()).cyan)("yarn upgrade electron-builder")} to update`
            });
        }
    }).catch(e => (0, (_log || _load_log()).warn)(`Cannot check updates: ${e}`));
}
//# sourceMappingURL=cli.js.map